
package org.sky.scientific.wrapper;

import org.sky.core.mp.support.BaseEntityWrapper;
import org.sky.core.tool.utils.BeanUtil;
import org.sky.scientific.pojo.entity.TechnicianEntity;
import org.sky.scientific.pojo.vo.TechnicianVO;
import java.util.Objects;

/**
 * 技术人员花名册 包装类,返回视图层所需的字段
 *
 * @author sky
 * @since 2025-06-10
 */
public class TechnicianWrapper extends BaseEntityWrapper<TechnicianEntity, TechnicianVO> {

	public static TechnicianWrapper build() {
		return new TechnicianWrapper();
 	}

	@Override
	public TechnicianVO entityVO(TechnicianEntity technician) {
		TechnicianVO technicianVO = Objects.requireNonNull(BeanUtil.copyProperties(technician, TechnicianVO.class));

		//User createUser = UserCache.getUser(technician.getCreateUser());
		//User updateUser = UserCache.getUser(technician.getUpdateUser());
		//technicianVO.setCreateUserName(createUser.getName());
		//technicianVO.setUpdateUserName(updateUser.getName());

		return technicianVO;
	}


}
